{
  let content =  document.getElementById("wrapper-content");
  let toc =  document.getElementById("TOC");
  createTOC(content, toc);
  
  function createTOC(content, toc){
	if (toc === null){
	  alert("no TOC element found");
	  return;
	}
	if (content === null){
	  alert("no content element found");
	  return;
	}
	
  } 
   
}
